Subject: [Simple] Pointer to draft-dusseault-http-patch-00.txt

From: "Lisa Dusseault" <[email-masked]>
Date: Thu, 13 Nov 2003 11:17:38 -0800

This is the draft I just discussed in the SIMPLE WG meeting.  I have submitted 
it to the IETF but here's another link:

http://www.sharemation.com/~milele/public/dav/draft-dusseault-http-patch-00.txt

This is a proposal to add a small feature to HTTP 1.1.  In this proposal
 - The server may advertise support for some patch or diff file formats
 - The client can send a PATCH request to an *existing* HTTP 1.1 resource
 - The PATCH request contains the patch or diff file to apply to the resource
 - If the server can successfully apply the patch, it modifies the resource
 - Various error codes are defined for invalid patches, invalid results, etc

Here's the example I put up on the screen in SIMPLE. The request line and 
headers are as required by the proposal.  The body, however, is a vague made-up
example (without correct use of namespaces) which is intended to suggest how
an undefined XML patch format might work.  (An XML patch format would be defined
in a separate document.)

The example is intended to illustrate a possible use case for SIMPLE.

PATCH /lisa/buddies.xml HTTP/1.1
Host: im.example.com
Content-type: text/xcap+xml
If-Match: "e0023aa4e"
Content-Length: 100

<?xml version=1.0>
<xcap-patch xmlns=“urn:ietf:params:xml:ns:xcap”>
  <action><add/></action>
  <target>
    presence-lists/list[@name="friends"]/list[@name="close-friends"] 
  </target>
  <content>
    <entry name="Joe" uri="sip:[email-masked]">
      <display-name>Joe Smith</display-name> 
    </entry> 
  </content>
</xcap-patch>

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple